Loading...
Searching...
No Matches
scalarproducts.hh File Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Scalar products

Define base class for scalar product and norm. More...

`#include <cmath>`
`#include <complex>`
`#include <iostream>`
`#include <iomanip>`
`#include <string>`
`#include <memory>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/shared_ptr.hh>`
`#include "bvector.hh"`
`#include "solvercategory.hh"`

Go to the source code of this file.

## Classes

class | Dune::ScalarProduct< X >
| Base class for scalar product and norm computation. More...
class | Dune::ParallelScalarProduct< X, C >
| Scalar product for overlapping Schwarz methods. More...
class | Dune::SeqScalarProduct< X >
| Default implementation for the scalar case. More...
class | Dune::NonoverlappingSchwarzScalarProduct< X, C >
| Nonoverlapping Scalar Product with communication object. More...
class | Dune::OverlappingSchwarzScalarProduct< X, C >
| Scalar product for overlapping Schwarz methods. More...

## Namespaces

namespace | Dune

## Functions

template<class X, class Comm>
std::shared_ptr< ScalarProduct< X > > | Dune::makeScalarProduct (std::shared_ptr< const Comm > comm, SolverCategory::Category category)
| Choose the appropriate scalar product for a solver category.
template<class X, class Comm>
std::shared_ptr< ScalarProduct< X > > | Dune::createScalarProduct (const Comm &comm, SolverCategory::Category category)

## Detailed Description

Define base class for scalar product and norm.

These classes have to be implemented differently for different data partitioning strategies. Default implementations for the sequential case are provided.